/* 
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

import QtQuick
import QtQuick.Window
import QtQuick.Controls

Popup {
	property bool fullScreen: false

	parent: Overlay.overlay
	width: parent.width * (fullScreen ? 1 : 0.75)
	height: fullScreen ? parent.height : undefined
	x: Math.round((parent.width - width) / 2)
	y: fullScreen ? 0 : Math.round((parent.height * 0.4) / 2)
	padding: 8
	background: Rectangle {
		border.color: colorPalette.selected.modalBorder
		border.width: 2
		color: colorPalette.selected.pane
		radius: 4
	}
}
